Overview

What is Remote Out-of-Office for Microsoft® Exchange®?

Remote Out-of-Office for Exchange in a server-based application that communicates with Microsoft Exchange that allows users to remotely manage Out of Office settings for other users, or themselves using a standard email client.

Next: Key Benefits

Microsoft and the Office logo are trademarks or registered trademarks of Microsoft Corporation in the United States and/or other countries.

Copyright © 2009 Pergenex Software LLC, All rights reserved.


Key Benefits

Key Benefits of Remote Out-of-Office

Allow support staff, receptionists, and other users to manage Out-of-Office settings for other users.

Allow users to manage their own Out of Office settings remotely from any computer.

Designated delegates can manage Out of Office without requiring access to a users mailbox contents.

No special application are required. All changes are made with a standard mail client such as Outlook.

Next: Features


Basic features

Features of Remote Out-of-Office

Key features of Remote Out-of-Office include the following:

Fully secure permission-based operation.

Manage Out of Office settings for users with a standard email client.

Remote Out-of-Office confirms all actions and copies the recipient of the action so everyone is fully informed of the changes in settings.

Remote Out-of-Office can be configured to clean up after itself so it is a fully hands-off system requiring very little maintenance.


System requirements

The requirements to run Auto-Mate Pro on your system can be summarized as follows:

Hardware

The minimum hardware requirements are:

CPU: | Pentium 4 or later - 2GHz
Memory: | 512MB minimum, 1.0 GB recommended
Available disk space: | 100 MB

Software

The minimum software requirements are:

Operating System: | Windows 2000 or 2003 Server
Other software: | Microsoft Exchange 2000, 2003, and 2007
 | .NET Framework 2.0 runtime

Copyright © 2009 Pergenex Software LLC, All rights reserved.


Prerequisites for Installation

Installation Server

Remote Out-of-Office should be installed on the server that runs Exchange, or another server that has a full MAPI32 subsystem installed.

If the server does not have a MAPI32 subsystem installed you can install the standalone version available from Microsoft's Download Center here:

Microsoft Exchange Server MAPI Client and Collaboration Data Objects 1.2.1

A compliant MAPI32 subsystem can also be installed by installing Microsoft Outlook on the server. This is the least desirable option, but will work. If possible, please use this version: Outlook 2002 SP3. It has the best reliability and performance in a Windows Service.

Warning: Do not install Outlook on a computer that is running Exchange or already has a MAPI subsystem installed. This will cause undesirable results.

Special Administrative Account

Prior to installing Remote Out-of-Office, you must grant access to a special account to have access to all mailboxes on a mailbox store.

For Exchange 2007

You can use the Exchange Management Shell to configure this special account.

Use the following command:

Add-ADPermission -Identity "Mailbox Database" -user "exchangeadmin" -ExtendedRights Receive-As

In this command, the special admin account was "exchangeadmin", and the Mail Store is named "Mailbox Database".

For Exchange 2000/2003

The easiest way to configure permissions for the special account is to grant the "Receive as" and "Send as" permissions on the mailbox store. To do this, navigate to the mailbox store in the Exchange Systems manager:

The mailbox store in the Exchange Systems Manager

Next, select "Properties" on the context menu of the mailbox store and select the "Security tab".

If you want to grant the access to all mailboxes to a non-administrative account, you can simply add that account to the list and grant the "Send As" and "Receive As" permission.

To grant those permissions to an administrative account, you must perform a few additional steps, since members of the Domain Administrators have a deny on these permission

The security properties of the mailbox store

The security properties of the mailbox store

This denial is placed at the organizational level. This can be examined with ADSIEdit (adsiedit.msc):

ADSI edit displaying the security settings for the Exchange Organization

You can see, that the Domain Administrators have both, an allow as well as a deny permission. This is propagated down to the mailbox store, and prevents administrative accounts from accessing other users mailboxes. Now, you can remove these deny permission, but this is not advisable - they are there for a reason. You would end up with far too many people having these rights.

A better approach is to give only one specific account these rights. If this account is also in the Domain Administrators group and already displayed in the security tab, click "Advanced" and then "Add". Select the account the grant the "Receive As" and "Send as" permissions.

The account will be granted the permissions, because an explicit allow on a lower level overrides an inherited deny.

Affected products

Exchange 2000

Exchange 2003

Out-of-Office Mailbox

Remote Out-of-Office also needs an exchange mailbox designated as the out of office control inbox. There is nothing special about this account. It can be an existing account, or a new account set up specifically for this purpose. It is recommended that you create a new account. If you wish to use an existing account, please note that this mailbox will receive all requests for Out of Office change requests.

Copyright © 2009 Pergenex Software LLC, All rights reserved.


Installation

To start the installation process, run the supplied MSI installer program. Please make sure you have configured the special administrative account as described in the Prerequisites section.

For Windows 2008 Server (Exchange 2007)

You should unzip the files from the downloaded distribution zip file and run "setup.exe" not the MSI file directly. User Access Control will prompt to install with elevated privileges.

For Windows 2000/2003 Server (Exchange 2000/2003)

You can run the MSI installer file directly.

The installation wizard will start. It will appear as follows:

Click the next button to proceed. The next window will display any last minute readme information before proceeding.

Click the next button and enter your name and company name.

The next window will display the License agreement. Please read it carefully. You must accept this agreement in order for the installation to proceed.

Then click the next button and choose the installation folder.

Click next. The Wizard has the necessary information to install the program. Click next to start the installation. A progress bar will be displayed showing installation progress.

Prior to the end of the installation, a login prompt will appear. This setting is important as this sets the account that the Remote Out-of-Office Service runs as. Please enter the account that you configured in the in the Prerequisite section.

The installation will then complete.

Copyright © 2009 Pergenex Software LLC, All rights reserved.


Starting Remote Out-of-Office

Remote Out-of-Office consists of a client and a server application. The server application is a MAPI compliant Windows Service, and the client program is a standard windows Desktop application.

The Service application should be started first, then the Desktop application can be started to configure the system for operation.

Starting the Windows Service

Open Control Panel -> Administrative Tools -> Services. Find the entry for Remote Out-of-Office, highlight it, and click the VCR style start button in the toolbar.

You can verify that the service has started properly by checking the Event log. Open the Event log via Control Panel -> Administrative Tools -> Event Viewer.

Starting The Remote Out-of-Office Manager

You can Start the Remote Out-of-Office Manager via the START menu under Programs -> Remote Out-of-Office. The first time it is launched, it will prompt for configuration options:

Please review the Options section for information on how to configure these settings.


Options

Remote Out-of-Office Options

The Option dialog can be opened using the Tools menu and selecting Options. It also appears automatically the first time you lanch the Remote Out-of-Office Manager.

The settings are as follows:

Exchange Host Name - The Fully Qualified Domain Name (FQDN) of the Exchange Server.

Exchange Admin Mailbox - The special user account that you configured in the Prerequisite section.

Out of Office Mailbox - The Exchange mailbox that will receive requests Out-of-Office request messages.

Respond to requester - Choose whether to have Remote Out-of-Office respond to the rquestor of Out-of-office requests. This is recommended.

Auto-Delete Messages - Choose whether to automatically delete message requests in the Out-of-Office mailbox configured above.

Copyright © 2009 Pergenex Software LLC, All rights reserved.


Licensing

Remote Out-of-Office can be evaluated for 15 days in a fully functional manner. After that period, you must purchase and install a permanent license.

Remote Out-of-Office is licensed by the number of mailboxes configured on your Exchange system. Please purchase the license that covers the number of mailboxes installed on your system.


Accessing Help

To find out more about how do something in Auto-Mate, access the online Help using any of the following methods.

To use the Contents, Index, or Search:

  • From the Help menu, select Contents & Index. Use the buttons and links to navigate.


Finding information in the Help

Finding Information in Help

You can find information in the Help in several ways.

To find information in the online Help:

  1. From the Help menu, click Contents & Index.

  2. If the left-hand pane isn't visible, click the Contents, Index, or Search buttons.

  3. In the Help window, do the following:

Click: | To:
Contents | View the table of contents for the online Help. Click each book to display pages that link to topics, and click each page to display the corresponding topic in the right pane.
Index | Search for specific words or phrases or select from a list of index keywords. Click the keyword to display the corresponding topic in the right pane.
Search | Locate words or phrases within the content of your topics. Type the word or phrase in the text field, press ENTER, and select the topic you want from the list of topics.
Glossary | Display a list of words, short phrases, and their definitions related to Traylook. When you select a term from the Term list, its corresponding definition is displayed in Definition.


Moving around in the Help

Hyperlinks are clickable items such as text (typically underlined and displayed in a different color) that perform an action, such as displaying another topic or a Web page.

When you click a Related Topics button, a popup menu opens that displays a list of topics you can go to. These topics are relevant to what you are currently reading in the right pane. Click a topic in the popup menu to open it in the right pane.

When you click a drop-down hotspot, more information is displayed below the hotspot. You only need to click the hotspots you want to read. To hide the text, click the hotspot again.

When you click an expanding hotspot, more information is displayed immediately to the right of the hotspot. You only need to click the hotspots you want to read. To hide the text, click the hotspot again.

When you click a popup link, either a small window with text "pops up" or a topic opens "on top" of the currently open topic. Popups enable you to read additional information without leaving the current topic. When you finish reading the information in the popup, you can click any links it contains to jump to other information or close it by clicking again.

When you click the Previous or Next buttons, you can read through a series of topics that are arranged in a particular order. This allows you to learn about a subject in an easy-to-follow sequence.

Moving Around in Help

Use the following types of navigation in Help to move around and display information (click the hotspots to read about each):

  • Hyperlinks:

  • Related Topics:

  • Drop-down text:

  • Expanding text:

  • Popups:

  • Browse sequences:


Printing the Help

Printing Help

While using Auto-Mate's online Help, you can print topics and information right from the browser window.

To print a Help topic:

  1. Right-click in the right pane and select Print. The print dialog opens.

  2. Click Print. The topic is printed to the specified printer.


Configuring Delegates

Configuring Remote Out-of-Office Delegates

A Remote Out-of-Office Delegate is a person, or a group of people that can modify Out of Office settings on behalf of another user.

Delegates are configured via the Remote Out-of-Office Manager window. To add a new Delegate, click the Delegates node in the treeview, then right-click and select "Add New Delegate."

This will open a standard Outlook style Addressbook where you can select a contact or a Distribution List.

Once a Delegate has been added, you can add users for which the Delegate can manage his/her Out of Office settings. To add users, click the newly added Delegate, the right-click and select "Add Users" or "Add all Users."

Note: When All Users is selected, only a single entry is added to the list, not every user in the Global Address Book.

Here's a completed Delegate that can manage Out-of-Office settings for all users:

Once a user has been added, you can begin to manage Out-of-Office settings remotely using a standard email client. Please continue to the next section, Remotely Managing Out of Office Settings.


Remotely Managing Out of Office Settings

Once Delegates have been configure, you can easily manage Out-of-Office settings for that Delegate's user list.

Changing the Out-of-Office settings for a user is as easy as sending an email message. for example if you want to turn on Out of Office for the user called "Pergenex Sales", you would send an email message to the Remote Out-of-Office mailbox as follows:

If the command is processed successfully, and you have configured Remote Out-of-Office to send responses, you will receive a confirmation message that informs you on the success or failure of the command. For example a success message appears as follows:

To turn Out of Office off, just send another similar message with the Subject set to off as follows:

It's as easy as that to control Out of Office settings for users.


Troubleshooting

When experiencing difficulty, please check these common errors first:

Remote Out-of-Office does not appear to function.

  1. Ensure that the Windows Service is started and running properly. If the service is running, check the Windows Event Viewer for messages with the Source = RemoteOOF. All errors and warnings are written to the event log.

  2. Make sure the trial license has not expired. This will be displayed in the Event Viewer.

  3. Make sure that the number of mailboxes have not exceeded the licence count.

Copyright © 2009 Pergenex Software LLC, All rights reserved.


Corporate Headquarters

Pergenex Software publishes and markets software products designed for the consumer and business markets, focusing on productivity and communications utilities. We build add-in products for Microsoft Office applications to help enhance functionality or create new functionality not available with the standard product. Our goal is to produce Software that makes your life easier and computing more fun.

Address: | Pergenex Software LLC 410 Winding Brook Farm Road Watertown, CT 06795 USA
Telephone: | 860.274.5324
Fax: | 860.274.5324
World Wide Web: | www.pergenex.com
Office Hours: | Monday to Friday 8 am to 5 pm Eastern Standard Time


Technical Support

Please provide the following information when contacting technical support:

  • Determine your operating system version.

  • Determine your version of Exchange.

  • Find the version of Remote Out-of-Office in the About box.

Email: | support@pergenex.com
World Wide Web support: | www.pergenex.com/support


License Agreement

PERGENEX SOFTWARE LLC

REMOTE OUT-OF-OFFICE EVALUATION SOFTWARE LICENSE AGREEMENT

IMPORTANT-READ CAREFULLY: This Remote Out-of-Office Single User License Agreement ("Agreement") is a legal agreement between you (either an individual person or a single legal entity, who will be referred to in this Agreement as "You") and Pergenex Software LLC for the Remote Out-of-Office software that accompanies this Agreement, including any associated media, printed materials and electronic documentation (collectively "Software"). The Software also includes any software updates, add-on components, web services and/or supplements that Pergenex Software may provide to you or make available to you after the date you obtain your initial copy of the Software to the extent that such items are not accompanied by a separate license agreement or terms of use. By installing, copying, downloading, accessing or otherwise using the Software, You agree to be bound by the terms of this Agreement. If you do not agree to the terms of this Agreement, do not install, access or use the Software.

GENERAL TERMS AND CONDITIONS

Pergenex Software grants you ONE (1) non-exclusive and non-transferable single user license for the internal use only of the Software. This license entitles the owner to install the Software on a single computer. You will not otherwise use or copy, translate, modify, adapt, decompile, disassemble or reverse engineer the Software. You agree not to use the Software in violation of any law, statute, ordinance or other regulation (including export control and unfair competition laws) or any obligation to which you are bound.

You agree to comply with all applicable laws and regulations regarding your use of the Software. You agree to indemnify Pergenex Software from and against any liability that Pergenex Software may incur arising from your use of the Software.

You may use the Software solely to evaluate and test the Software pursuant to the terms of this Agreement during the evaluation period. Since this is evaluation Software, portions of the full use version of the Software may be withheld or unusable and use of the Software may require accessing portions of the Software remotely through the Internet.

OWNERSHIP

All patents, copyrights, trade secrets and other proprietary rights in or related to the Software are and will remain the exclusive property of Pergenex Software, whether or not specifically recognized or perfected under the laws of the country where the Software is located. You hereby assign and agree to assign any and all rights you may have or acquire in or to the Software to Pergenex Software for no additional consideration.

You will not take any action that jeopardizes Pergenex Software's or its licensors' proprietary rights or acquire any rights in the Software. Pergenex Software or its designee will own all rights in any copy, translation, modification, adaptation or derivation of the Software, including any improvement or development thereof. At Pergenex Software's request, you will execute or obtain the execution of any instrument that may be appropriate to assign these rights to Remote Out-of-Office or its designee or to perfect these rights in Pergenex Software's or its designee's name.

CONFIDENTIALITY

(a) Confidentiality. You acknowledge that the Software is and incorporates confidential and proprietary information developed, acquired by or licensed to Pergenex Software. You will take all reasonable precautions necessary to safeguard the confidentiality of the Software, and will not disclose any information about the Software or the Software evaluations or reports to any other person without Pergenex Software's prior written permission. You will not allow the removal or defacement of any confidentiality or proprietary notice placed on the Software. The placement of a copyright notice on the Software will not constitute publication or otherwise impair its confidential nature.

(b) Unauthorized Use or Disclosure. You acknowledge that any unauthorized use or disclosure of the Software will cause irreparable harm to Pergenex Software and its licensors. If an unauthorized use or disclosure occurs, you will take all steps that are necessary to recover the Software and to prevent its subsequent unauthorized use or dissemination.

(c) Limitation. You will have no confidentiality obligation with respect to any portion of the Software that (i) You lawfully obtained from a third party under no obligation of confidentiality or (ii) became available to the public other than as a result of Your act or omission.

DISCLAIMER OF WARRANTY

UNLESS SPECIFIED IN THIS AGREEMENT, ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT THAT THESE DISCLAIMERS ARE HELD TO BE LEGALLY INVALID.

DISCLAIMER OF DAMAGES

TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT WILL PERGENEX SOFTWARE OR ITS LICENSORS BE LIABLE FOR ANY LOSS IN REVENUE, PROFIT OR DATA, OR FOR SPECIAL, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF OR RELATED TO THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF PERGENEX SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL PERGENEX SOFTWARE'S LIABILITY TO YOU, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE, EXCEED THE AMOUNT PAID BY YOU FOR SOFTWARE UNDER THIS AGREEMENT. THE FOREGOING LIMITATIONS WILL APPLY EVEN IF THE ABOVE STATED WARRANTY FAILS OF ITS ESSENTIAL PURPOSE.

TERMINATION

This Agreement is effective until terminated. You may terminate this Agreement at any time by destroying all copies of the Software. This Agreement will terminate immediately without notice from Pergenex Software if you fail to comply with any provision of this Agreement. Upon Termination, you must destroy all copies of Software. Upon termination, you agree to promptly de-install and delete all copies of the Software in Your possession and discontinue any further use of the Software. The parties' rights and obligations will survive the termination of this Agreement.

MISCELLANEOUS

You and Pergenex Software are independent parties. Nothing in this Agreement shall be construed as making you an employee, agent or legal representative of Pergenex Software.

This Agreement constitutes the complete and entire statement of all terms, conditions and representations of the agreement between you and Pergenex Software with respect to the Software.

If any provision of this Agreement is held to be unenforceable, This Agreement will remain in effect with the provision omitted, unless omission would frustrate the intent of the parties, in which case this Agreement will immediately terminate.

This Agreement is the entire agreement between you and Pergenex Software relating to its subject matter. It supersedes all prior or contemporaneous oral or written communications, proposals, representations and warranties and prevails over any conflicting or additional terms of any quote, order, acknowledgment, or other communication between the parties relating to its subject matter during the term of this Agreement. No modification of this Agreement will be binding, unless in writing and signed by an authorized representative of each party.

For inquiries please contact:

Pergenex Software LLC

410 Winding Brook Farm Road

Watertown, CT 06795, USA

Copyright © 2009 Pergenex Software LLC, All rights reserved.